{ pkgs
, lib
, config
, ... }: with lib; let
  terminal = toString pkgs.alacritty;
in mkIf config.passthrough.gui {
  wayland.windowManager.sway = {
    enable = true;
    config = {
      modifier = "Mod4";
      keybindings = let
        modifier = config.wayland.windowManager.sway.config.modifier;
      in mkOptionDefault {
        XF86MonBrightnessUp = "light -A 5";
        XF86MonBrightnessDown = "light -U 5";

        "Control+Alt+l" = "${pkgs.swaylock}/bin/swaylock -c 000000";
        "Print" = "exec ${pkgs.grim}/bin/grim - | ${pkgs.wl-clipboard}/bin/wl-copy";
        "${modifier}+Print" = "exec ${pkgs.grim}/bin/grim -g \"$(${pkgs.slurp}/bin/slurp)\" - | ${pkgs.wl-clipboard}/bin/wl-copy";
        "${modifier}+q" = "exec google-chrome-stable";
      };

      menu = "wofi -show drun -modi drun";
    };
  };

  programs.wofi.enable = true;
  programs.wofi.settings.mode = "drun";
  programs.wofi.settings.allow_images = true;
}
